Get Inventory Request Details Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/inventory_requests/{id}

Path parameters

  • id string Required

    Inventory Request IR number

Responses

  • 200 application/json

    Returns inventory request details with shipment data

    Hide response attributes Show response attributes object
    • id integer
    • ir_number string
    • notes string | null
    • created string(date-time)
    • created_by string | null
    • warehouse_id integer
    • warehouse_name string
    • status string
    • shipment_method string | null
    • package_slip_date string(date-time) | null
    • estimated_ship_date string(date) | null
    • slip_creation_method string | null
    • packslip_decision_date string(date-time) | null
    • go_ramp_reservation object | null
    • items array[object]
      Hide items attributes Show items attributes object
      • id integer
      • item_id integer
      • total_units_received integer | null
      • casepack_qty integer | null
      • part_number string | null
      • name string
      • sku string | null
      • barcode string | null
      • scannable_barcodes array[string]
      • upc string | null
      • can_expire boolean | null
      • lot_num_required boolean
      • main_image_url string | null
      • lot_number string | null
      • expiration_date string(date) | null
      • requested_qty integer
      • has_shipments boolean
      • fba_shipments array[object]

        Array of FBA shipments for this item with quantity and shipment details

        Hide fba_shipments attributes Show fba_shipments attributes object
        • quantity integer

          Quantity shipped to this FBA shipment

        • destination_shipment_id string

          FBA Shipment ID

        • destination_fulfillment_center_id string

          Destination FBA fulfillment center ID

      • listing object | null
    • requested_pickup_date string(date) | null
    • request_pickup_address object | null
    • request_pickup_pallets array | null
  • 404

    Inventory request not found

  • 401

    Unauthorized - missing org_id

GET /v1/inventory_requests/{id}
curl \
 --request GET 'https://api.pattern.com/hub/v1/inventory_requests/{id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": 42,
  "ir_number": "string",
  "notes": "string",
  "created": "2026-05-04T09:42:00Z",
  "created_by": "string",
  "warehouse_id": 42,
  "warehouse_name": "string",
  "status": "string",
  "shipment_method": "string",
  "package_slip_date": "2026-05-04T09:42:00Z",
  "estimated_ship_date": "2026-05-04",
  "slip_creation_method": "string",
  "packslip_decision_date": "2026-05-04T09:42:00Z",
  "go_ramp_reservation": {},
  "items": [
    {
      "id": 42,
      "item_id": 42,
      "total_units_received": 42,
      "casepack_qty": 42,
      "part_number": "string",
      "name": "string",
      "sku": "string",
      "barcode": "string",
      "scannable_barcodes": [
        "string"
      ],
      "upc": "string",
      "can_expire": true,
      "lot_num_required": true,
      "main_image_url": "string",
      "lot_number": "string",
      "expiration_date": "2026-05-04",
      "requested_qty": 42,
      "has_shipments": true,
      "fba_shipments": [
        {
          "quantity": 42,
          "destination_shipment_id": "string",
          "destination_fulfillment_center_id": "string"
        }
      ],
      "listing": {}
    }
  ],
  "requested_pickup_date": "2026-05-04",
  "request_pickup_address": {},
  "request_pickup_pallets": []
}